
var//A variable that's for the save system
	guild2="None"//No guild
	guildrecruiter2=0//Not recruiter
	guildleader2=0//Not a leader
	guildtitle2="None"//No title
	guilds2=0//Not in a guild
	guildrecruit2=0//Not recruited
	guildleaders2=0//Not leader

mob//A mob thing
	proc//A proc
		addguildverbs()//The proc that adds your verbs (This part is mostly about choices)
			if(src.guild != "None")//If you are in a guild...
				for (var/Y in typesof(/mob/guildverbs/verb))//Y is defined as guild verbs
					guilds=1//You are now in a guild
					src.verbs += Y//You achieve Y's verbs (Guild verbs)
			if(src.guildrecruiter == "Yes")//If a guild recruiter NOW...
				for (var/Z in typesof(/mob/guildrecruit/verb))//Z is defined for guild recruiting verbs
					guildrecruit=1//You are now recruited in a guild
					src.verbs += Z//You now recieve guild recruit verbs (stated as Z)
			if(src.guildleader == "Yes")//If a guild leader NOW...
				for (var/A in typesof(/mob/guildleader/verb))//A is defined for guild leader verbs
					guildleaders=1//States you are now a guild leader
					src.verbs += A//You gain leader verbs which are defined as A
		addguildverbsmob(mob/M)//This is to add guild verbs (More choices here)
			if(M.guild != "None")////If the person is in a guild...
				for (var/Y in typesof(/mob/guildverbs/verb))//Y is defined for guild verbs
					guilds=1//The person is now in a guild
					M.verbs += Y//The person gains Y (Guild verbs)
			if(M.guildrecruiter == "Yes")//If a guild recruiter NOW...
				for (var/Z in typesof(/mob/guildrecruit/verb))//Z will be defined as guild recruit verbs
					guildrecruit=1//You are now a recruiter
					M.verbs += Z//The person gets verbs of Z which are guild recruit verbs
			if(M.guildleader == "Yes")//If a guild leader NOW...
				for (var/A in typesof(/mob/guildleader/verb))//A is defined as guild leader verbs
					guildleaders=1//The person is now a guild leader
					M.verbs += A//The person gets guild leader verbs which are defined as A
		removeguildverbsmob(mob/M)//To remove your guild verbs (MORE choices)
			if(M.guild == "None")//If the person is not in a guild...
				for (var/Y in typesof(/mob/guildverbs/verb))//Y is defined as guild verbs
					guilds=0//The person is not in a guild
					M.verbs -= Y//Gets rid of Y (Guild verbs)
			if(M.guildrecruiter == "No")//If not a guild recruiter...
				for (var/Z in typesof(/mob/guildrecruit/verb))//Z is defined a guild recruiting verbs
					guildrecruit=0//Makes the person not a guild recruiter
					M.verbs -= Z//Gets rid of Z (Person's guild recruiting verbs)
			if(M.guildleader == "No")//If not a guild leader...
				for (var/A in typesof(/mob/guildleader/verb))//A is defined as guild leader verbs
					guildleaders=0//The person is not a guild leader
					M.verbs -= A//Gets rid of the person's guild leader verbs (A)
		addguildcommands()//Proc for adding guild commands
			for(var/X in typesof(/mob/guildverbs/verb))//X as guild verbs
				src.verbs += X//Gives the person guild verbs
		deleteguildcommands()//Proc for deleting guild commands
			for(var/X in typesof(/mob/guildverbs/verb))//X as guild verbs
				src.verbs -= X//Gets rid of the person's guild verbs
		addguildrecruitcommands()//Proc for adding guild commands
			for(var/X in typesof(/mob/guildrecruit/verb))//X as guild recruit verbs
				src.verbs += X//Gets rid of the person's guild recruit verbs
		deleteguildrecruitcommands()//Proc for deleting guild commands
			for(var/X in typesof(/mob/guildrecruit/verb))//X as guild recruit verbs
				src.verbs -= X//Gets rid of the person's guild recruit verbs
		addguildleadercommands()//Proc for adding guild commands
			for(var/X in typesof(/mob/guildleader/verb))//X as guild leader verbs
				src.verbs += X//Gets rid of the person's guild leader verbs
		deleteguildleadercommands()//Proc for deleting guild commands
			for(var/X in typesof(/mob/guildleader/verb))//X as guild leader verbs
				src.verbs -= X//Gets rid of the person's guild leader verbs

mob/guildverbs//Regular guild verbs
	verb//Verb for mobs in guilds
		GuildSay(msg as text)//Guild Say to ONLY people in your guild
			set name="Guild Say"//Name of verb
			set desc="Talk to the people who is in your guild."//Description of the verb
			set category="Guild"//Category as "Guild"
			for(var/mob/characters/M in world)//Creates something for the world
				if(M.guild == usr.guild)//If it's you...
					M << "<font color = red>[usr] guild says: [html_encode(msg)]</font>"//Say it to everyone in your guild

		GuildWho()//Check the people who are in your guild
			set name="Guild Who"//Name of verb
			set desc="Check who's in your guild."//Description of the verb
			set category = "Guild"//Category stated as "Guild"
			var/mob/characters/M//Variable for mobs
			for(M in world)//For mob in world
				if(!M.key) continue//If M has no key, then it continues on with the verb
				if(M.guild == usr.guild)//If it's yourself...
					usr << "<font color = red>\icon[M] [M.name] (Key: [M.key]) - Title: [M.guildtitle]</font>"//State this to you

		Leave()//Kick someone out of your guild or just remove their recruiting abilities
			set name="Leave"//States the name of this verb
			set desc="Leave the guild you're in."//Tells you what this verb does
			set category = "Guild"//The category set as "Guild"
			var/input1 = input("Are you sure you want to completely leave your guild?") in list("No","Yes")//Question to remove the person from your guild
			if(input1 == "No")//If No is chosen and the person is a guild recruiter...
				usr << "<font color = blue><h3>No changes have been made.</font>"//Tells you that nothing has happened
			if(input1=="Yes")//If Yes is chosen...
				world << "<font color=blue>[usr.name] has left [usr.guild]."//Tells the world that M has been kicked out from the guild
				usr.guild = "None"//The person's guild is stated as "None"
				usr.guildrecruiter = "No"//The person is not a guild recruiter
				usr.guildleader = "No"//The person is not a guild leader
				usr.guildtitle = "None"//The person has no guild title
				usr.guilds=0//The person is in no guild
				usr.guildrecruit=0//The person will not be a guild recruiter
				usr.guildleaders=0//The person will not be a guild leader
				guild2=usr.guild//Var that connects the other var so it can be saved
				guildrecruiter2=usr.guildrecruiter//Var that connects the other var so it can be saved
				guildleader2=usr.guildleader//Var that connects the other var so it can be saved
				guildtitle2=usr.guildtitle//Var that connects the other var so it can be saved
				guilds2=usr.guild//Var that connects the other var so it can be saved
				guildrecruit2=usr.guildrecruit//Var that connects the other var so it can be saved
				guildleaders2=usr.guildleaders//Var that connects the other var so it can be saved
				removeguildverbsmob(usr)//Removes the guild verbs

mob/guildrecruit//Guild Recruiting verb
	verb//Verb for guild recruiters
		Recruit(mob/characters/M in world)//Recruiting with a lot of choices
			set name="Recruit"//Name of verb
			set desc="Recruit someone in your guild."//Description of the verb
			set category = "Guild"//Category stated as "Guild"
			var/confirm = input("Are you sure that you would like to add [M.name] to your guild") in list ("No","Yes")//Asks you if you would like to recruit the person
			if(confirm == "Yes")//If Yes...
				if(M.key)//If it's someone else...
					var/doyouaccept=input(M,"[usr.name] would like to add you to [usr.guild].  Do you accept?") in list("No","Yes")//It asks the person if they would like to join the guild
					if(doyouaccept == "Yes")//If the person says yes...
						M.guild = usr.guild//Put them in the guild
						guild2=M.guild//Var that connects the other var so it can be saved
						usr << "<font color = red>You have added [M.name] to [usr.guild].</font>"//Tells you what just happened
						M << "<font color = red>You have been added to [M.guild] by [usr.name].</font>"//Tells the person what just happened
						var/confirm2 = input("Would you like to give this person recruiting ability?") in list ("No","Yes")//Asks you if you would like to give the person a recruiting ability
						if(confirm2 == "Yes")//If you say yes...
							M.guildrecruiter = "Yes"//Then the person will be a guild recruiter
							guildrecruiter2=M.guildrecruiter//Var that connects the other var so it can be saved
							usr << "<font color = red>You have made [M.name] a recruiter.</font>"//Tells you what happened
							M << "<font color = red>You have been made a recruiter.</font>"//Tells the person what happened
						else//Besides that...
							return ..()//Go back to normal activity
						addguildverbsmob(M)//Use this proc
					else//Besides that...
						usr << "<font color = red>[M.name] has declined.</font>"//Tells you what happened
						M << "You have declined acceptance into [usr.guild]."//Tells the person what happened
				else//Besides that...
					usr << "<font color = red>You cannot add NPC's to any guild!</font>"//Tells you that you cannot make NPCs into a guild
			else//Besides that...
				usr << "<font color = red>You have decided not to add [M.name] to [usr.guild].</font>"//Tells you what you chose to do
				M << "[usr] was about to add you to [usr.guild], but decided not to."//Tells the person that you decided not to recruit the person
mob/guildleader//The leader's verbs
	verb//Verb for guild leaders
		LeaderSay(msg as text)//A guild say command that only the leader can use
			set name="Leader Say"//Name of verb
			set desc="The leader of the guild says something."//Description of the verb
			set category = "Guild"//Category stated as "Guild"
			for(var/mob/characters/M in world)//Variable defined as M for mobs
				if(M.guild == usr.guild && M.guildrecruiter == usr.guildrecruiter)//Checks if you're a guild leader
					M << "<font color = red>[usr] <font color=yellow>leader<font color=red> says: [html_encode(msg)]</font>"//Displays your message

		Title(mob/characters/M in world)//Give a title to the guild members
			set name="Title"//Name of verb
			set desc="Give a title to a person who is in your guild."//Description of the verb
			set category = "Guild"//Category stated as "Guild"
			if(M.guild == usr.guild)//If the person is in your guild...
				var/input1 = input("What title would you like to give [M.name]?") as text//Asks you what the title you will give to the person
				M.guildtitle = input1//The person's guild title will be what you put
				guildtitle2=M.guildtitle//Var that connects the other var so it can be saved
				M << "<font color = red>[usr.name] has given you the title:[input1].</font>"//Tells you what action you took
				usr << "<font color = red>You have given the title [input1] to [M.name].</font>"//Tells the person what their new title is
			else//Besides that...
				M << "<font color = red>This person is not part of your guild.</font>"//Tells you this person is not part of your guild
		Recruiter(mob/characters/M in world)
			set name = "Make Recruiter"
			set desc = "Make someone a recruiter for your guild."
			set category = "Guild"
			if(M.guild == usr.guild)
				switch(alert(usr,"Make this player a guild recruiter for [usr.guild]?","Guilds","Yes","No"))//Gives the user a choice to make the person a recruiter or not
					if("Yes")
						usr.guildrecruiter="Yes"
						M.addguildverbsmob()//Give the person the guild verbs
						M.guildrecruit=1//usrake recruited var 1
						M.guilds=1//usrake the person in a guild
						guildrecruit2=usr.guildrecruit//usrakes the mob become recruited
						guilds2=usr.guilds//Puts the person in a guild
					else//Besides that...
						M.addguildverbsmob()//As the guild verbs
						M.guilds=1//usrake the person in a guild
						guilds2=usr.guilds//Leaves them in a guild



		Remove(mob/characters/M in world)//Kick someone out of your guild or just remove their recruiting abilities
			set name="Remove"//States the name of this verb
			set desc="Removes a person from your guild."//Tells you what this verb does
			set category = "Guild"//The category set as "Guild"
			if(M.guild == usr.guild)//If the person is in your guild...
				var/input1 = input("Would you like to completely remove [M.name] from your guild?") in list("No","Yes")//Question to remove the person from your guild
				if(input1 == "No" && M.guildrecruiter == "Yes")//If No is chosen and the person is a guild recruiter...
					var/input3 = input("Would you like to remove recruiting ability from [M.name]?") in list("No","Yes")//Asks you if you would like to get rid of the person's recruiting ability
					if(input3 == "Yes")//If Yes is chosen...
						M.guildrecruiter = "No"//The person is not a recruiter
						M.guildrecruit=0//The person is not recruited
						guildrecruiter2=M.guildrecruiter//Var that connects the other var so it can be saved
						guildrecruit2=M.guildrecruit//Var that connects the other var so it can be saved
						M << "<font color = blue><h3>[M.name]'s recruiting ability has been taken away from guild:[M.guild].</font>"//Tells the world about this event
						deleteguildrecruitcommands()//Deletes the person's guild recruiting verbs
					else//Besides that...
						usr << "<font color = blue><h3>No changes have been made.</font>"//Tells you that nothing has happened
				if(input1=="Yes")//If Yes is chosen...
					world << "<font color=blue>[M.name] has been kicked out from [M.guild]."//Tells the world that M has been kicked out from the guild
					M.guild = "None"//The person's guild is stated as "None"
					M.guildrecruiter = "No"//The person is not a guild recruiter
					M.guildleader = "No"//The person is not a guild leader
					M.guildtitle = "None"//The person has no guild title
					M.guilds=0//The person is in no guild
					M.guildrecruit=0//The person will not be a guild recruiter
					M.guildleaders=0//The person will not be a guild leader
					guild2=M.guild//Var that connects the other var so it can be saved
					guildrecruiter2=M.guildrecruiter//Var that connects the other var so it can be saved
					guildleader2=M.guildleader//Var that connects the other var so it can be saved
					guildtitle2=M.guildtitle//Var that connects the other var so it can be saved
					guilds2=M.guild//Var that connects the other var so it can be saved
					guildrecruit2=M.guildrecruit//Var that connects the other var so it can be saved
					guildleaders2=M.guildleaders//Var that connects the other var so it can be saved
					removeguildverbsmob(M)//Removes the guild verbs
			else//Besides that...
				usr << "<font color = red>This person isn't part of your guild.</font>"//It will display this

mob//Thing for mobs only
	verb//Verb used with mob
		checkguild()//Checks who's in what guild and their title
			set name="Check Guild"//Name set as "Check Guild"
			set desc="Checks who is in what guild."//Description of this verb
			set category="Guild"//Category it's set in
			for(var/mob/characters/M)//Creates something for everyone
				if(M.client)//If you are a person...
					usr << "<font color=red>[M.name] <font color=blue>([M.key]) <font color=red>Guild:[M.guild]  Guild Title:[M.guildtitle]"//It will display this information