/*********************************************
Please Note:

PLEASE do not use the meter.dmi file in your
game.  I spent a lot of time making it. The
least you could do is create your own.

The process takes only a good 20 minutes.  You
can configure how many icon_states your meter
has by changing the obj/meter/width var
to match however many you have in your file.

                                     - Spuzzum


P.S. Just so you know, the spelling of 'meter'
is the same in America as it is in Canada.
Meter as a gauge, that is.  Distance, of
course, is measured in metres.

(Us Canucks can tell the difference between
meter and metre at a glance! Americans are
stuck with meter and meter. ;-)

*********************************************/

mob
	var
		obj/meter/health_meter
		obj/meter2/stamina_meter




		//etc.

	New()
		..()
		src.health_meter = new //initialises the meters
		src.stamina_meter = new



obj/meter
	icon = 'meter.dmi'
	layer = 22
	pixel_y = 15
	icon_state = "0" //that's zero, not ( ) or O

	var/num = 0 //the current unrounded icon_state number
	var/width = 30
		//If you have icon_states from "0" to "30" within your
		// meter.dmi file (i.e. you have 31 icon_states in total),
		// use this number as it is.

		//Change it if you have any other number of states;
		// if you have states from "0" to "5", this number would
		// be 5 instead.

	proc/Update()
		if(num < 0) //if the meter is negative
			num = 0 //set it to zero
		else if(num > width) //if the meter is over 100%
			num = width //set it to 100%
		src.icon_state = "[round(src.num)]"




obj/meter2
	icon = 'meter2.dmi'
	layer = 22
	pixel_y = 10
	icon_state = "0" //that's zero, not ( ) or O

	var/num = 0 //the current unrounded icon_state number
	var/width = 30
		//If you have icon_states from "0" to "30" within your
		// meter.dmi file (i.e. you have 31 icon_states in total),
		// use this number as it is.

		//Change it if you have any other number of states;
		// if you have states from "0" to "5", this number would
		// be 5 instead.


	proc/Update()
		if(num < 0) //if the meter is negative
			num = 0 //set it to zero
		else if(num > width) //if the meter is over 100%
			num = width //set it to 100%
		src.icon_state = "[round(src.num)]"

